org.apache.solr.analytics.util.valuesource

## Class AbsoluteValueDoubleFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.solr.analytics.util.valuesource.SingleDoubleFunction
    - - org.apache.solr.analytics.util.valuesource.AbsoluteValueDoubleFunction

-     public class AbsoluteValueDoubleFunction
      extends SingleDoubleFunction

  `AbsoluteValueDoubleFunction` takes the absolute value of the double value of the source it contains.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`

    - ### Fields inherited from class org.apache.solr.analytics.util.valuesource.SingleDoubleFunction

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbsoluteValueDoubleFunction(ValueSource source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `description()`
    `boolean` | `equals(Object o)`
    `protected double` | `func(int doc, FunctionValues vals)`
    `protected String` | `name()`

    - ### Methods inherited from class org.apache.solr.analytics.util.valuesource.SingleDoubleFunction

      `getValues, hashCode`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `createWeight, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbsoluteValueDoubleFunction

          public AbsoluteValueDoubleFunction(ValueSource source)

  - ### Method Detail

    - #### name

          protected String name()

    - #### description

          public String description()

      Overrides:
        `description` in class `SingleDoubleFunction`

    - #### func

          protected double func(int doc,
                                FunctionValues vals)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `SingleDoubleFunction`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.